// jquery.easyrollover.js


jQuery.auto = {
	init: function() {
		for (module in jQuery.auto) {
			if (jQuery.auto[module].init)
				jQuery.auto[module].init();
		}
	}
};

jQuery(document).ready(jQuery.auto.init);


// Auto-hidden elements

jQuery.auto.hide = {
	init: function() {
		jQuery('.Hide').hide();
	}
};


// Mouse hover

jQuery.auto.hover = {

	init: function() {
		jQuery('IMG.rollover')
			.bind('mouseover', this.enter)
			.bind('mouseout', this.exit)
			.each(this.preload);
	},

	preload: function() {
		this.preloaded = new Image;
		this.preloaded.src = this.src.replace(/^(.+)(\.[a-z]+)$/, "$1_on$2");
	},

	enter: function() {
		this.src = this.src.replace(/^(.+)(\.[a-z]+)$/, "$1_on$2");
	},

	exit: function() {
		this.src = this.src.replace(/^(.+)_on(\.[a-z]+)$/, "$1$2");
	}
};


// Auto-submitting SELECTs

jQuery.auto.submit = {
	init: function() {
		jQuery('SELECT.Submit').bind('change', this.on_change);
	},

	on_change: function() {
		if (this.value) this.form.submit();
	}
};


// Auto-selected text in text fields after a label click

jQuery.auto.select = {
	init: function() {
		jQuery('LABEL.Select').each(this.label_action);
		jQuery('INPUT.Select').bind('click', function(){ this.select(); });
	},

	label_action: function() {
		var field = jQuery('#'+this.htmlFor).get(0);
		if (field && field.focus && field.select) {
			jQuery(this).bind('click', function(){ field.focus(); field.select(); });
		}
	}
};


// Switches tabs on click

jQuery.auto.tabs = {

	init: function() {

		jQuery('.Tabs').each(function(){
			var f = jQuery.auto.tabs.click;
			var group = this;
			jQuery('.Tab', group).each(function(){
				this.group = group;
				jQuery(this).click(f);
				jQuery('#'+this.id+'_body').hide();
			}).filter(':first').trigger('click');
		});

	},

	click: function() {
		var tab = jQuery('#'+this.id+'_body').get(0);
		jQuery('.Tab', this.group).each(function(){
			jQuery(this).removeClass('Active');
			jQuery('#'+this.id+'_body').hide();
		});

		jQuery(this).addClass('Active');
		jQuery(tab).show();
		this.blur();

		return false;
	}

};